﻿$ErrorActionPreference = 'Stop'

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    url            = 'https://justgetflux.com/flux-setup.exe'
    checksum       = '010FF134C76256BFF231400F093C81278B274D12766BA7E77092E4F05490CE0E'
    checksumType   = 'SHA256'
    fileType       = 'EXE'
    silentArgs     = '/S'
    validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs

# only create the shortcut in startup if the /noautostart parameter has not been passed
$arguments = Get-PackageParameters -Parameter $env:ChocolateyPackageParameters
if (-not $arguments.ContainsKey("noautostart")) {
    $params = @{
        ShortcutFilePath    = Join-Path -Path ([Environment]::GetFolderPath('Startup')) -ChildPath 'f.lux.lnk'
        TargetPath          = Join-Path -Path ([Environment]::GetFolderPath('LocalApplicationData')) -ChildPath 'FluxSoftware\Flux\flux.exe'
        WorkingDirectory    = Join-Path -Path ([Environment]::GetFolderPath('LocalApplicationData')) -ChildPath 'FluxSoftware\Flux\runtime'
        Arguments           = '/noshow'
    }
    
    Install-ChocolateyShortcut @params
}
